Index: src/outgrid_init.f90
===================================================================
--- src/outgrid_init.f90	(revision 0ecc1fed9f7c7c07cef687094373915d51c69489)
+++ src/outgrid_init.f90	(revision d2a5a833066965c4c4b33df109fd4e461f7275bb)
@@ -234,17 +234,18 @@
   end if
 #endif
-!  if (ldirect.gt.0) then
-  if (lroot.and.mpi_mode.gt.0) then
-    allocate(wetgridunc0(0:numxgrid-1,0:numygrid-1,maxspec, &
-         maxpointspec_act,nclassunc,maxageclass),stat=stat)
-    if (stat.ne.0) write(*,*)'ERROR: could not allocate wetgridunc0'
-    allocate(drygridunc0(0:numxgrid-1,0:numygrid-1,maxspec, &
-         maxpointspec_act,nclassunc,maxageclass),stat=stat)
-    if (stat.ne.0) write(*,*)'ERROR: could not allocate drygridunc0'
-  
+  if (ldirect.gt.0) then
+    if (lroot.and.mpi_mode.gt.0) then
+      allocate(wetgridunc0(0:numxgrid-1,0:numygrid-1,maxspec, &
+           maxpointspec_act,nclassunc,maxageclass),stat=stat)
+      if (stat.ne.0) write(*,*)'ERROR: could not allocate wetgridunc0'
+      allocate(drygridunc0(0:numxgrid-1,0:numygrid-1,maxspec, &
+           maxpointspec_act,nclassunc,maxageclass),stat=stat)
+      if (stat.ne.0) write(*,*)'ERROR: could not allocate drygridunc0'
+
 ! allocate a dummy to avoid compilator complaints
-  else if (.not.lroot.and.mpi_mode.gt.0) then
-    allocate(wetgridunc0(1,1,1,1,1,1),stat=stat)
-    allocate(drygridunc0(1,1,1,1,1,1),stat=stat)
+    else if (.not.lroot.and.mpi_mode.gt.0) then
+      allocate(wetgridunc0(1,1,1,1,1,1),stat=stat)
+      allocate(drygridunc0(1,1,1,1,1,1),stat=stat)
+    end if
   end if
 
Index: src/outgrid_init_nest.f90
===================================================================
--- src/outgrid_init_nest.f90	(revision 0ecc1fed9f7c7c07cef687094373915d51c69489)
+++ src/outgrid_init_nest.f90	(revision d2a5a833066965c4c4b33df109fd4e461f7275bb)
@@ -83,17 +83,18 @@
   end if
 #endif
-!    if (ldirect.gt.0) then
-  if (lroot.and.mpi_mode.gt.0) then
-    allocate(wetgriduncn0(0:numxgridn-1,0:numygridn-1,maxspec, &
-         maxpointspec_act,nclassunc,maxageclass),stat=stat)
-    if (stat.ne.0) write(*,*)'ERROR:could not allocate nested gridunc'
-    allocate(drygriduncn0(0:numxgridn-1,0:numygridn-1,maxspec, &
-         maxpointspec_act,nclassunc,maxageclass),stat=stat)
-    if (stat.ne.0) write(*,*)'ERROR:could not allocate nested gridunc'
+  if (ldirect.gt.0) then
+    if (lroot.and.mpi_mode.gt.0) then
+      allocate(wetgriduncn0(0:numxgridn-1,0:numygridn-1,maxspec, &
+           maxpointspec_act,nclassunc,maxageclass),stat=stat)
+      if (stat.ne.0) write(*,*)'ERROR:could not allocate nested gridunc'
+      allocate(drygriduncn0(0:numxgridn-1,0:numygridn-1,maxspec, &
+           maxpointspec_act,nclassunc,maxageclass),stat=stat)
+      if (stat.ne.0) write(*,*)'ERROR:could not allocate nested gridunc'
 !  endif
 ! allocate a dummy to avoid compilator complaints
-  else if (.not.lroot.and.mpi_mode.gt.0) then
-    allocate(wetgriduncn0(1,1,1,1,1,1),stat=stat)
-    allocate(drygriduncn0(1,1,1,1,1,1),stat=stat)
+    else if (.not.lroot.and.mpi_mode.gt.0) then
+      allocate(wetgriduncn0(1,1,1,1,1,1),stat=stat)
+      allocate(drygriduncn0(1,1,1,1,1,1),stat=stat)
+    end if
   end if
 
Index: src/partoutput.f90
===================================================================
--- src/partoutput.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/partoutput.f90	(revision d2a5a833066965c4c4b33df109fd4e461f7275bb)
@@ -108,4 +108,10 @@
       p3=rddx*ddy
       p4=ddx*ddy
+
+! eso: Temporary fix for particle exactly at north pole
+      if (jyp >= nymax) then
+      !  write(*,*) 'WARNING: conccalc.f90 jyp >= nymax'
+        jyp=jyp-1
+      end if
 
   ! Topography
Index: src/partoutput_mpi.f90
===================================================================
--- src/partoutput_mpi.f90	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/partoutput_mpi.f90	(revision d2a5a833066965c4c4b33df109fd4e461f7275bb)
@@ -115,4 +115,10 @@
       p3=rddx*ddy
       p4=ddx*ddy
+
+! eso: Temporary fix for particle exactly at north pole
+      if (jyp >= nymax) then
+      !  write(*,*) 'WARNING: conccalc.f90 jyp >= nymax'
+        jyp=jyp-1
+      end if
 
   ! Topography
